import random
from datetime import date
from hashlib import md5
#Yes, using md5 for a seed is a little overkill, but I want to ensure that each snowfield is *truly*
#unique. It just felt more right to use than just a simple string, and appended numbers.

ROWS = 16
COLS = 100

seed = str(date.today())

random.seed(seed)
density = random.randint(10, 40)

header_message = """every day, the snow pattern on this page is randomly updated, deterministically based on the date. while each unicode asterick of a snowflake isn't very unique, the pattern they create together will almost certainly never be seen again, and is just as individual as any real snowflake\n"""

date = 'snow field for %s\n\n' % str(date.today())

snow_field = ""

for i in range (ROWS):
    for j in range (COLS):
        snowflake_seed = md5((seed + "-" + str(i) + "-" + str(j)).encode('utf-8')).hexdigest()
        if (random.random() * 100) < density:
            snow_field += "*"
        else:
            snow_field += " "
    snow_field += "\n"

f = open("/home/pine/public_gemini/snow.gmi", "w")
f.write(header_message + date + snow_field)
f.close()

f = open("/home/pine/public_html/snow.html", "w")
f.write("""<!DOCTYPE html>
<html>
<body style="margin:0 auto; max-width:720px; font-family:monospace;">
<p>%s</p>
<pre style="overflow:auto;">
%s%s
</pre>
</body>
</html?
""" % (header_message, date, snow_field))
f.close()
